
add_requires("UGM","UTemplate")
set_languages("cxx20")
target("ugm_test01_bezier")
    set_kind("binary")
    add_packages("UGM", "UTemplate")
    add_files("test/01bezier.cpp")
    add_headerfiles("vs/*.natvis")
package("UTemplate")
    set_kind("library", {headeronly = true})
    set_urls("https://github.com/Ubpa/UTemplate.git")
    add_includedirs("include")
    on_install(function (package)
        os.cp("include", package:installdir())
    end)
local curdir = os.curdir()
package("UGM")
    set_urls("https://github.com/Ubpa/UGM.git")
    add_includedirs("include")
    on_install("macosx", "linux", "windows", function (package)
        os.cp("include", format("%s/include", package:installdir()))
        os.cp("vs",curdir)
        io.gsub(format("%s/vs/UGM.natvis"), "m.m128_f32","_Elems")
    end)